_Remote_Stub (Java SE 9 & JDK 9 )
Keywords: org.omg.stub.java.rmi._Remote_Stub class

Module java.corba
Package org.omg.stub.java.rmi

## Class _Remote_Stub

- java.lang.Object
- - org.omg.CORBA.portable.ObjectImpl
  - - org.omg.CORBA_2_3.portable.ObjectImpl
    - - javax.rmi.CORBA.Stub
      - - org.omg.stub.java.rmi._Remote_Stub

- All Implemented Interfaces:
    `Serializable`, `Remote`, `Object`

      public final class _Remote_Stub
      extends Stub
      implements Remote

  This class provides the Stub for the Remote Type. The class is generated by the rmic compiler, and is still under works at OMG. It's contents are subject to change without notice as the specification evolves.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `_Remote_Stub​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `_ids​()` | Returns an array of repository ids that an object implements.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class org.omg.CORBA_2_3.portable.ObjectImpl

      `_get_codebase`

    - ### Methods inherited from class org.omg.CORBA.portable.ObjectImpl

      `_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override`

    - ### Methods inherited from class javax.rmi.CORBA.Stub

      `connect, equals, hashCode, toString`

- - ### Constructor Detail

    - #### _Remote_Stub

          public _Remote_Stub​()

  - ### Method Detail

    - #### _ids

          public String[] _ids​()

      Returns an array of repository ids that an object implements. The string at index zero represents the most derived interface. The last id, for the generic CORBA object is (i.e., IDL:omg.org/CORBA/Object:1.0") is implied and not present.
      Specified by:
        `_ids` in class `ObjectImpl`
      Returns:
        an array of repository ids that an object implements.